# -*- coding: utf-8 -*-
# 查询动作
# 作者: 陈磊
# 时间: 2019-11-01
from WorkUtils.UtilsRequest import UtilsRequest
from WorkUtils.UtilsLog import UtilsLog
from WorkApi.ApiBase import ApiBase, GetBase


class ActionGet(GetBase):
    def __init__(self, _host):
        """
        :param _host: 域名
        :return:
        """
        super().__init__()
        self.log = UtilsLog()
        self.log.info("调用查询动作")
        self.log.info(self.__class__)

        self._host = _host
        self._headers = {}
        self._path = "/action/get"
        self._url = self._host + self._path
        self._params = {}
        self._json = {}
        self._data = {}
        self.response = ""

        self.local_json = {}

        self.actionids = None
        self.groupids = None
        self.hostids = None
        self.triggerids = None
        self.mediatypeids = None
        self.usrgrpids = None
        self.userids = None
        self.scriptids = None
        self.selectFilter = None
        self.selectOperations = None
        self.selectRecoveryOperations = None
        self.selectAcknowledgeOperations = None

        self.api = UtilsRequest()

    def get_response(self):
        self.get_base_json()

        base = ApiBase()
        base.dict_add_key(_key="actionids", value=self.actionids)
        base.dict_add_key(_key="groupids", value=self.groupids)
        base.dict_add_key(_key="hostids", value=self.hostids)
        base.dict_add_key(_key="triggerids", value=self.triggerids)
        base.dict_add_key(_key="mediatypeids", value=self.mediatypeids)
        base.dict_add_key(_key="usrgrpids", value=self.usrgrpids)
        base.dict_add_key(_key="userids", value=self.userids)
        base.dict_add_key(_key="scriptids", value=self.scriptids)
        base.dict_add_key(_key="selectFilter", value=self.selectFilter)
        base.dict_add_key(_key="selectOperations", value=self.selectOperations)
        base.dict_add_key(_key="selectRecoveryOperations", value=self.selectRecoveryOperations)
        base.dict_add_key(_key="selectAcknowledgeOperations", value=self.selectAcknowledgeOperations)

        self.local_json = base._json

        # self.log.debug(self.local_json)
        # self.log.debug(self.base_json)

        # 当前接口支持的参数与公共参数合并
        add = ApiBase()
        add.dict_add_dict(_dict_1=self.local_json, _dict_2=self.base_json)
        self._json = add._json
        self.response = self.api.post(url=self._url, json=self._json)
