# -*- coding: utf-8 -*-
# 批量添加主机组
# 作者: 陈磊
# 时间: 2019-10-21
from WorkApi.ApiBase import ApiBase
from WorkUtils.UtilsRequest import UtilsRequest
from WorkUtils.UtilsLog import UtilsLog


class HostGroupMassadd(object):
    def __init__(self, _host):
        """
        :param _host: 域名
        :return:
        """
        self.log = UtilsLog()
        self.log.info("调用批量添加主机组")
        self.log.info(self.__class__)

        self._host = _host
        self._headers = {}
        self._path = "/hostgroup/massadd"
        self._url = self._host + self._path
        self._params = {}
        self._json = {}
        self.local_json = {}
        self.response = ""

        self.groups = None
        self.hosts = None
        self.templates = None

        self.api = UtilsRequest()

    def get_response(self):
        base = ApiBase()
        base.dict_add_key(_key="groups", value=self.groups)
        base.dict_add_key(_key="hosts", value=self.hosts)
        base.dict_add_key(_key="templates", value=self.templates)
        self.local_json = base._json
        self._json = self.local_json

        self.response = self.api.post(url=self._url, json=self._json)
