# -*- coding: utf-8 -*-
# 更新主机组
# 作者: 陈磊
# 时间: 2019-10-23
from WorkApi.ApiBase import ApiBase
from WorkUtils.UtilsRequest import UtilsRequest
from WorkUtils.UtilsLog import UtilsLog


class HostGroupUpdate(object):
    def __init__(self, _host):
        """
        :param _host: 域名
        :return:
        """
        self.log = UtilsLog()
        self.log.info("调用更新主机组")
        self.log.info(self.__class__)

        self._host = _host
        self._headers = {}
        self._path = "/hostgroup/update"
        self._url = self._host + self._path
        self._params = {}
        self._json = {}
        self.local_json = {}
        self.response = ""

        self.name = None
        self.groupid = None
        self.flags = None
        self.internal = None

        self.api = UtilsRequest()

    def get_response(self):
        base = ApiBase()
        base.dict_add_key(_key="name", value=self.name)
        base.dict_add_key(_key="groupid", value=self.groupid)
        base.dict_add_key(_key="flags", value=self.flags)
        base.dict_add_key(_key="internal", value=self.internal)
        self.local_json = base._json
        self._json = self.local_json
        self.response = self.api.post(url=self._url, json=self._json)
