# -*- coding: utf-8 -*-
# 查询主机原型
# 作者: 陈磊
# 时间: 2019-11-13
from WorkUtils.UtilsRequest import UtilsRequest
from WorkUtils.UtilsLog import UtilsLog
from WorkApi.ApiBase import ApiBase, GetBase


class HostPrototypeGet(GetBase):
    def __init__(self, _host):
        """
        :param _host: 域名
        :return:
        """
        super().__init__()
        self.log = UtilsLog()
        self.log.info("调用查询主机原型")
        self.log.info(self.__class__)

        self._host = _host
        self._headers = {}
        self._path = "/hostprototype/get"
        self._url = self._host + self._path
        self._params = {}
        self._json = {}
        self._data = {}
        self.response = ""

        self.local_json = {}

        self.hostids = None
        self.discoveryids = None
        self.inherited = None
        self.selectDiscoveryRule = None
        self.selectGroupLinks = None
        self.selectGroupPrototypes = None
        self.selectInventory = None
        self.selectParentHost = None
        self.selectTemplates = None

        self.api = UtilsRequest()

    def get_response(self):
        self.get_base_json()

        base = ApiBase()
        base.dict_add_key(_key="hostids", value=self.hostids)
        base.dict_add_key(_key="discoveryids", value=self.discoveryids)
        base.dict_add_key(_key="inherited", value=self.inherited)
        base.dict_add_key(_key="selectDiscoveryRule", value=self.selectDiscoveryRule)
        base.dict_add_key(_key="selectGroupLinks", value=self.selectGroupLinks)
        base.dict_add_key(_key="selectGroupPrototypes", value=self.selectGroupPrototypes)
        base.dict_add_key(_key="selectInventory", value=self.selectInventory)
        base.dict_add_key(_key="selectParentHost", value=self.selectParentHost)
        base.dict_add_key(_key="selectTemplates", value=self.selectTemplates)

        self.local_json = base._json

        # self.log.debug(self.local_json)
        # self.log.debug(self.base_json)

        # 当前接口支持的参数与公共参数合并
        add = ApiBase()
        add.dict_add_dict(_dict_1=self.local_json, _dict_2=self.base_json)
        self._json = add._json
        self.response = self.api.post(url=self._url, json=self._json)
