# -*- coding: utf-8 -*-
# 查询代理
# 作者: 陈磊
# 时间: 2019-11-04
from WorkUtils.UtilsRequest import UtilsRequest
from WorkUtils.UtilsLog import UtilsLog
from WorkApi.ApiBase import ApiBase, GetBase


class ProxyGet(GetBase):
    def __init__(self, _host):
        """
        :param _host: 域名
        :return:
        """
        super().__init__()
        self.log = UtilsLog()
        self.log.info("调用查询代理")
        self.log.info(self.__class__)

        self._host = _host
        self._headers = {}
        self._path = "/proxy/get"
        self._url = self._host + self._path
        self._params = {}
        self._json = {}
        self._data = {}
        self.response = ""

        self.local_json = {}

        self.proxyids = None
        self.selectHosts = None
        self.selectInterface = None

        self.api = UtilsRequest()

    def get_response(self):
        self.get_base_json()

        base = ApiBase()
        base.dict_add_key(_key="proxyids", value=self.proxyids)
        base.dict_add_key(_key="selectHosts", value=self.selectHosts)
        base.dict_add_key(_key="selectInterface", value=self.selectInterface)

        self.local_json = base._json

        # self.log.debug(self.local_json)
        # self.log.debug(self.base_json)

        # 当前接口支持的参数与公共参数合并
        add = ApiBase()
        add.dict_add_dict(_dict_1=self.local_json, _dict_2=self.base_json)
        self._json = add._json
        self.response = self.api.post(url=self._url, json=self._json)
