# -*- coding: utf-8 -*-
# 创建触发器原型
# 作者: 陈磊
# 时间: 2019-11-13
from WorkUtils.UtilsRequest import UtilsRequest
from WorkUtils.UtilsLog import UtilsLog
from WorkApi.ApiBase import ApiBase


class TriggerPrototypeCreate(object):
    def __init__(self, _host):
        """
        :param _host: 域名
        :return:
        """
        self.log = UtilsLog()
        self.log.info("调用创建触发器原型")
        self.log.info(self.__class__)

        self._host = _host
        self._headers = {}
        self._path = "/triggerprototype/create"
        self._url = self._host + self._path
        self._params = {}
        self._json = {}
        self.local_json = {}
        self.response = ""

        self.triggerid = None
        self.description = None
        self.expression = None
        self.comments = None
        self.priority = None
        self.status = None
        self.templateid = None
        self.type = None
        self.url = None
        self.recovery_mode = None
        self.recovery_expression = None
        self.correlation_mode = None
        self.correlation_tag = None
        self.manual_close = None
        self.tags = None

        self.tags_tag = None
        self.tags_value = None

        self.api = UtilsRequest()

    def get_response(self):
        if self.tags_tag is not None:
            self.tags = []
            for x, y in enumerate(self.tags_tag):
                base = ApiBase()
                base.dict_add_key(_key="tag", value=self.tags_tag, num=x)
                base.dict_add_key(_key="value", value=self.tags_value, num=x)
                self.tags.append(base._json)
        else:
            pass

        base = ApiBase()
        base.dict_add_key(_key="triggerid", value=self.triggerid)
        base.dict_add_key(_key="description", value=self.description)
        base.dict_add_key(_key="expression", value=self.expression)
        base.dict_add_key(_key="comments", value=self.comments)
        base.dict_add_key(_key="priority", value=self.priority)
        base.dict_add_key(_key="status", value=self.status)
        base.dict_add_key(_key="templateid", value=self.templateid)
        base.dict_add_key(_key="type", value=self.type)
        base.dict_add_key(_key="url", value=self.url)
        base.dict_add_key(_key="recovery_mode", value=self.recovery_mode)
        base.dict_add_key(_key="recovery_expression", value=self.recovery_expression)
        base.dict_add_key(_key="correlation_mode", value=self.correlation_mode)
        base.dict_add_key(_key="correlation_tag", value=self.correlation_tag)
        base.dict_add_key(_key="manual_close", value=self.manual_close)
        base.dict_add_key(_key="tags", value=self.tags)

        self.local_json = base._json
        self._json = self.local_json
        self.response = self.api.post(url=self._url, json=[self._json])
