# -*- coding: utf-8 -*-
# 查询触发器原型
# 作者: 陈磊
# 时间: 2019-11-14
from WorkUtils.UtilsRequest import UtilsRequest
from WorkUtils.UtilsLog import UtilsLog
from WorkApi.ApiBase import ApiBase, GetBase


class TriggerPrototypeGet(GetBase):
    def __init__(self, _host):
        """
        :param _host: 域名
        :return:
        """
        super().__init__()
        self.log = UtilsLog()
        self.log.info("调用查询触发器原型")
        self.log.info(self.__class__)

        self._host = _host
        self._headers = {}
        self._path = "/triggerprototype/get"
        self._url = self._host + self._path
        self._params = {}
        self._json = {}
        self._data = {}
        self.response = ""

        self.local_json = {}
        self.active = None
        self.applicationids = None
        self.discoveryids = None
        self.functions = None
        self.group = None
        self.groupids = None
        self.host = None
        self.hostids = None
        self.inherited = None
        self.maintenance = None
        self.min_severity = None
        self.monitored = None
        self.templated = None
        self.templateids = None
        self.triggerids = None
        self.expandExpression = None
        self.selectDiscoveryRule = None
        self.selectFunctions = None
        self.selectGroups = None
        self.selectHosts = None
        self.selectItems = None
        self.selectDependencies = None
        self.selectTags = None

        self.api = UtilsRequest()

    def get_response(self):
        self.get_base_json()

        base = ApiBase()
        base.dict_add_key(_key="groupids", value=self.active)
        base.dict_add_key(_key="hostids", value=self.applicationids)
        base.dict_add_key(_key="maintenanceids", value=self.discoveryids)
        base.dict_add_key(_key="maintenanceids", value=self.functions)
        base.dict_add_key(_key="groupids", value=self.group)
        base.dict_add_key(_key="hostids", value=self.groupids)
        base.dict_add_key(_key="maintenanceids", value=self.host)
        base.dict_add_key(_key="maintenanceids", value=self.hostids)
        base.dict_add_key(_key="groupids", value=self.inherited)
        base.dict_add_key(_key="hostids", value=self.maintenance)
        base.dict_add_key(_key="maintenanceids", value=self.min_severity)
        base.dict_add_key(_key="maintenanceids", value=self.monitored)
        base.dict_add_key(_key="groupids", value=self.templated)
        base.dict_add_key(_key="hostids", value=self.templateids)
        base.dict_add_key(_key="triggerids", value=self.triggerids)
        base.dict_add_key(_key="expandExpression", value=self.expandExpression)
        base.dict_add_key(_key="selectDiscoveryRule", value=self.selectDiscoveryRule)
        base.dict_add_key(_key="selectFunctions", value=self.selectFunctions)
        base.dict_add_key(_key="selectGroups", value=self.selectGroups)
        base.dict_add_key(_key="selectHosts", value=self.selectHosts)
        base.dict_add_key(_key="selectItems", value=self.selectItems)
        base.dict_add_key(_key="selectDependencies", value=self.selectDependencies)
        base.dict_add_key(_key="selectTags", value=self.selectTags)

        self.local_json = base._json

        # self.log.debug(self.local_json)
        # self.log.debug(self.base_json)

        # 当前接口支持的参数与公共参数合并
        add = ApiBase()
        add.dict_add_dict(_dict_1=self.local_json, _dict_2=self.base_json)
        self._json = add._json
        self.response = self.api.post(url=self._url, json=self._json)
