# -*- coding: utf-8 -*-
# 查询用户
# 作者: 陈磊
# 时间: 2019-11-04
from WorkUtils.UtilsRequest import UtilsRequest
from WorkUtils.UtilsLog import UtilsLog
from WorkApi.ApiBase import ApiBase, GetBase


class UserGet(GetBase):
    def __init__(self, _host):
        """
        :param _host: 域名
        :return:
        """
        super().__init__()
        self.log = UtilsLog()
        self.log.info("调用查询用户")
        self.log.info(self.__class__)

        self._host = _host
        self._headers = {}
        self._path = "/users/get"
        self._url = self._host + self._path
        self._params = {}
        self._json = {}
        self._data = {}
        self.response = ""

        self.local_json = {}

        self.mediaids = None
        self.mediatypeids = None
        self.userids = None
        self.usrgrpids = None
        self.getAccess = None
        self.selectMedias = None
        self.selectMediatypes = None
        self.selectUsrgrps = None

        self.api = UtilsRequest()

    def get_response(self):
        self.get_base_json()

        base = ApiBase()
        base.dict_add_key(_key="mediaids", value=self.mediaids)
        base.dict_add_key(_key="mediatypeids", value=self.mediatypeids)
        base.dict_add_key(_key="userids", value=self.userids)
        base.dict_add_key(_key="usrgrpids", value=self.usrgrpids)
        base.dict_add_key(_key="getAccess", value=self.getAccess)
        base.dict_add_key(_key="selectMedias", value=self.selectMedias)
        base.dict_add_key(_key="selectMediatypes", value=self.selectMediatypes)
        base.dict_add_key(_key="selectUsrgrps", value=self.selectUsrgrps)

        self.local_json = base._json

        # self.log.debug(self.local_json)
        # self.log.debug(self.base_json)

        # 当前接口支持的参数与公共参数合并
        add = ApiBase()
        add.dict_add_dict(_dict_1=self.local_json, _dict_2=self.base_json)
        self._json = add._json
        self.response = self.api.post(url=self._url, json=self._json)
