# -*- coding: utf-8 -*-
# 查询用户组
# 作者: 陈磊
# 时间: 2019-11-04
from WorkUtils.UtilsRequest import UtilsRequest
from WorkUtils.UtilsLog import UtilsLog
from WorkApi.ApiBase import ApiBase, GetBase


class UserGroupGet(GetBase):
    def __init__(self, _host):
        """
        :param _host: 域名
        :return:
        """
        super().__init__()
        self.log = UtilsLog()
        self.log.info("调用查询用户组")
        self.log.info(self.__class__)

        self._host = _host
        self._headers = {}
        self._path = "/usergroup/get"
        self._url = self._host + self._path
        self._params = {}
        self._json = {}
        self._data = {}
        self.response = ""

        self.local_json = {}

        self.status = None
        self.userids = None
        self.usrgrpids = None
        self.with_gui_access = None
        self.selectTagFilters = None
        self.selectUsers = None
        self.selectRights = None

        self.api = UtilsRequest()

    def get_response(self):
        self.get_base_json()

        base = ApiBase()
        base.dict_add_key(_key="status", value=self.status)
        base.dict_add_key(_key="userids", value=self.userids)
        base.dict_add_key(_key="usrgrpids", value=self.usrgrpids)
        base.dict_add_key(_key="with_gui_access", value=self.with_gui_access)
        base.dict_add_key(_key="selectTagFilters", value=self.selectTagFilters)
        base.dict_add_key(_key="selectUsers", value=self.selectUsers)
        base.dict_add_key(_key="selectRights", value=self.selectRights)

        self.local_json = base._json

        # self.log.debug(self.local_json)
        # self.log.debug(self.base_json)

        # 当前接口支持的参数与公共参数合并
        add = ApiBase()
        add.dict_add_dict(_dict_1=self.local_json, _dict_2=self.base_json)
        self._json = add._json
        self.response = self.api.post(url=self._url, json=self._json)
