# -*- coding: utf-8 -*-
# 创建经验手册
# 作者: 陈磊
# 时间: 2019-11-18
from WorkUtils.UtilsRequest import UtilsRequest
from WorkUtils.UtilsLog import UtilsLog
from WorkApi.ApiBase import ApiBase, GetBase


class ExperienceCreate(object):
    def __init__(self, _host):
        """
        :param _host: 域名
        :return:
        """
        self.log = UtilsLog()
        self.log.info("调用创建经验手册")
        self.log.info(self.__class__)

        self._host = _host
        self._headers = {}
        self._path = "/experience/create"
        self._url = self._host + self._path
        self._params = {}
        self._json = {}
        self._data = {}
        self.response = ""

        self.local_json = {}

        self.title = None
        self.content = None
        self.businessid = None
        self.businessName = None
        self.hostType = None
        self.hostid = None
        self.versions = None
        self.monitorid = None
        self.monitorName = None
        self.alarmRuleids = None
        self.description = None
        self.tagNameList = None

        self.api = UtilsRequest()

    def get_response(self):

        base = ApiBase()
        base.dict_add_key(_key="title", value=self.title)
        base.dict_add_key(_key="content", value=self.content)
        base.dict_add_key(_key="businessid", value=self.businessid)
        base.dict_add_key(_key="businessName", value=self.businessName)
        base.dict_add_key(_key="hostType", value=self.hostType)
        base.dict_add_key(_key="hostid", value=self.hostid)
        base.dict_add_key(_key="versions", value=self.versions)
        base.dict_add_key(_key="monitorid", value=self.monitorid)
        base.dict_add_key(_key="monitorName", value=self.monitorName)
        base.dict_add_key(_key="alarmRuleids", value=self.alarmRuleids)
        base.dict_add_key(_key="description", value=self.description)
        base.dict_add_key(_key="tagNameList", value=self.tagNameList)

        self.local_json = base._json

        self._json = self.local_json
        self.response = self.api.post(url=self._url, json=self._json)
