# -*- coding: utf-8 -*-
# 查询经验手册
# 作者: 陈磊
# 时间: 2019-11-18
from WorkUtils.UtilsRequest import UtilsRequest
from WorkUtils.UtilsLog import UtilsLog
from WorkApi.ApiBase import ApiBase, GetBase


class ExperienceGet(object):
    def __init__(self, _host):
        """
        :param _host: 域名
        :return:
        """
        self.log = UtilsLog()
        self.log.info("调用查询经验手册")
        self.log.info(self.__class__)

        self._host = _host
        self._headers = {}
        self._path = "/experience/get"
        self._url = self._host + self._path
        self._params = {}
        self._json = {}
        self._data = {}
        self.response = ""

        self.local_json = {}

        self.hostType = None
        self.hostName = None
        self.manageLevel = None
        self.manageIp = None
        self.businessid = None
        self.alarmRuleid = None
        self.title = None
        self.tagid = None
        self.description = None

        self.api = UtilsRequest()

    def get_response(self):

        base = ApiBase()
        base.dict_add_key(_key="hostType", value=self.hostType)
        base.dict_add_key(_key="hostName", value=self.hostName)
        base.dict_add_key(_key="manageLevel", value=self.manageLevel)
        base.dict_add_key(_key="manageIp", value=self.manageIp)
        base.dict_add_key(_key="businessid", value=self.businessid)
        base.dict_add_key(_key="alarmRuleid", value=self.alarmRuleid)
        base.dict_add_key(_key="title", value=self.title)
        base.dict_add_key(_key="tagid", value=self.tagid)
        base.dict_add_key(_key="description", value=self.description)

        self.local_json = base._json

        self._json = self.local_json
        self.response = self.api.post(url=self._url, json=self._json)
