# -*- coding: utf-8 -*-
# 查询网络监控
# 作者: 陈磊
# 时间: 2019-11-18
from WorkUtils.UtilsRequest import UtilsRequest
from WorkUtils.UtilsLog import UtilsLog
from WorkApi.ApiBase import ApiBase, GetBase


class NetworkMonitorGet(object):
    def __init__(self, _host):
        """
        :param _host: 域名
        :return:
        """
        self.log = UtilsLog()
        self.log.info("调用查询网络监控")
        self.log.info(self.__class__)

        self._host = _host
        self._headers = {}
        self._path = "/networkmonitor/get"
        self._url = self._host + self._path
        self._params = {}
        self._json = {}
        self._data = {}
        self.response = ""

        self.local_json = {}

        self.hostName = None
        self.assetCode = None
        self.manageIp = None
        self.parentHost = None
        self.available = None
        self.status = None
        self.operationsPeopleId = None
        self.page = None
        self.size = None

        self.api = UtilsRequest()

    def get_response(self):

        base = ApiBase()
        base.dict_add_key(_key="hostName", value=self.hostName)
        base.dict_add_key(_key="assetCode", value=self.assetCode)
        base.dict_add_key(_key="manageIp", value=self.manageIp)
        base.dict_add_key(_key="parentHost", value=self.parentHost)
        base.dict_add_key(_key="available", value=self.available)
        base.dict_add_key(_key="status", value=self.status)
        base.dict_add_key(_key="operationsPeopleId", value=self.operationsPeopleId)
        base.dict_add_key(_key="page", value=self.page)
        base.dict_add_key(_key="size", value=self.size)

        self.local_json = base._json

        self._json = self.local_json
        self.response = self.api.post(url=self._url, json=self._json)
